package eu.mhsl.minecraft.pixelpic;

import eu.mhsl.minecraft.pixelpic.commands.PixelPicCommand;
import eu.mhsl.minecraft.pixelpic.render.render.DefaultScreenRenderer;
import eu.mhsl.minecraft.pixelpic.render.render.Renderer;
import net.kyori.adventure.text.Component;
import org.bukkit.Bukkit;
import org.bukkit.Material;
import org.bukkit.plugin.java.JavaPlugin;

import java.util.Objects;

public final class Main extends JavaPlugin {
    private static Main instance;
    private Renderer screenRenderer;

    @Override
    public void onEnable() {
        instance = this;
        Bukkit.getPluginCommand("pixelPic").setExecutor(new PixelPicCommand());

        Bukkit.getPluginCommand("test").setExecutor((sender, command, label, args) -> {
            Bukkit.broadcast(Component.text(Material.STONE.getBlockTranslationKey().replace("block.minecraft.", "")));
            return true;
        });
    }

    @Override
    public void onDisable() {
    }

    public Renderer getScreenRenderer() {
        if(this.screenRenderer == null) this.screenRenderer = new DefaultScreenRenderer();
        return this.screenRenderer;
    }

    public static Main getInstance() {
        return instance;
    }
}
